package com.ruoyi.map.domain;

import com.ruoyi.common.core.domain.BaseEntity;

import java.sql.Blob;

/**
 * <p>
 * 
 * </p>
 *
 * @author wrh
 * @since 2023-07-03
 */
public class Model extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private String name;

    private String address;

    private String heading;

    private String pitch;

    private String roll;

    private String positionX;

    private String positionY;

    private String positionZ;

    private String selected;

    private String type;

    private Byte[] file;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
    public String getHeading() {
        return heading;
    }

    public void setHeading(String heading) {
        this.heading = heading;
    }
    public String getPitch() {
        return pitch;
    }

    public void setPitch(String pitch) {
        this.pitch = pitch;
    }
    public String getRoll() {
        return roll;
    }

    public void setRoll(String roll) {
        this.roll = roll;
    }
    public String getPositionX() {
        return positionX;
    }

    public void setPositionX(String positionX) {
        this.positionX = positionX;
    }
    public String getPositionY() {
        return positionY;
    }

    public void setPositionY(String positionY) {
        this.positionY = positionY;
    }
    public String getPositionZ() {
        return positionZ;
    }

    public void setPositionZ(String positionZ) {
        this.positionZ = positionZ;
    }
    public String getSelected() {
        return selected;
    }

    public void setSelected(String selected) {
        this.selected = selected;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) { this.type = type; }
    public Byte[] getFile() { return file; }

    public void setFile(Byte[] file) { this.file = file; }

    @Override
    public String toString() {
        return "Model{" +
            "id=" + id +
            ", name=" + name +
            ", address=" + address +
            ", heading=" + heading +
            ", pitch=" + pitch +
            ", roll=" + roll +
            ", positionX=" + positionX +
            ", positionY=" + positionY +
            ", positionZ=" + positionZ +
            ", selected=" + selected +
            ", type=" + type +
        "}";
    }
}
